Bug 216615 - lang/erlang-wx: fails to build with clang 4.0
Summary: lang/erlang-wx: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-30 21:59 UTC by Jan Beich
Modified: 2017-04-25 05:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-30 21:59:01 UTC
wxe_impl.cpp:669:55: error: ordered comparison between pointer and zero ('void *' and 'long')
  if((index < memenv->next) && ((index == 0) || (temp > NULL)))
                                                 ~~~~ ^ ~~~~
wxe_impl.cpp:681:55: error: ordered comparison between pointer and zero ('void *' and 'long')
  if((index < memenv->next) && ((index == 0) || (temp > NULL))) {
                                                 ~~~~ ^ ~~~~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/erlang-wx-19.2.1.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Jimmy Olgeni freebsd_committer 2017-01-30 23:17:29 UTC
Got it - let me check the other ports...
Comment 2 commit-hook freebsd_committer 2017-02-01 11:33:11 UTC
A commit references this bug:

Author: olgeni
Date: Wed Feb  1 11:32:51 UTC 2017
New revision: 433002
URL: https://svnweb.freebsd.org/changeset/ports/433002

Log:
  lang/erlang-runtime16: fix build with clang 4.0.

  PR:		216615
  Submitted by:	Jan Beich

Changes:
  head/lang/erlang-runtime16/Makefile
  head/lang/erlang-runtime16/files/patch-lib_wx_c__src_wxe__impl.cpp
Comment 3 commit-hook freebsd_committer 2017-02-01 11:34:14 UTC
A commit references this bug:

Author: olgeni
Date: Wed Feb  1 11:33:06 UTC 2017
New revision: 433003
URL: https://svnweb.freebsd.org/changeset/ports/433003

Log:
  lang/erlang-runtime17: fix build with clang 4.0.

  PR:		216615
  Submitted by:	Jan Beich

Changes:
  head/lang/erlang-runtime17/Makefile
  head/lang/erlang-runtime17/files/patch-lib_wx_c__src_wxe__impl.cpp
Comment 4 commit-hook freebsd_committer 2017-02-01 11:34:15 UTC
A commit references this bug:

Author: olgeni
Date: Wed Feb  1 11:33:22 UTC 2017
New revision: 433004
URL: https://svnweb.freebsd.org/changeset/ports/433004

Log:
  lang/erlang-runtime18: fix build with clang 4.0.

  PR:		216615
  Submitted by:	Jan Beich

Changes:
  head/lang/erlang-runtime18/Makefile
  head/lang/erlang-runtime18/files/patch-lib_wx_c__src_wxe__impl.cpp
Comment 5 commit-hook freebsd_committer 2017-02-01 21:48:02 UTC
A commit references this bug:

Author: olgeni
Date: Wed Feb  1 21:47:48 UTC 2017
New revision: 433110
URL: https://svnweb.freebsd.org/changeset/ports/433110

Log:
  Update lang/erlang-runtime19 to 19.2.2 and fix build with clang 4.0[1].

  PR:		216615 [1]
  Submitted by:	Jan Beich

Changes:
  head/lang/erlang-runtime19/Makefile
  head/lang/erlang-runtime19/distinfo
  head/lang/erlang-runtime19/files/patch-lib_wx_c__src_wxe__impl.cpp
Comment 6 commit-hook freebsd_committer 2017-02-01 21:50:06 UTC
A commit references this bug:

Author: olgeni
Date: Wed Feb  1 21:49:18 UTC 2017
New revision: 433113
URL: https://svnweb.freebsd.org/changeset/ports/433113

Log:
  Update lang/erlang-wx to 19.2.2 and fix build with clang 4.0[1].

  PR:		216615 [1]
  Submitted by:	Jan Beich

Changes:
  head/lang/erlang-wx/Makefile
  head/lang/erlang-wx/distinfo
  head/lang/erlang-wx/files/
  head/lang/erlang-wx/files/patch-lib_wx_c__src_wxe__impl.cpp
Comment 7 Jimmy Olgeni freebsd_committer 2017-02-01 21:52:18 UTC
All "wx" ports should be now fixed for clang 4.0.
Comment 8 Trond.Endrestol 2017-04-13 20:16:32 UTC
(In reply to Jimmy Olgeni from comment #7)
Would you please add the last patch to lang/erlang? It will benefit those of us who enable wxWidgets in the main port.

(Incidently, my solution was to replace all occurances of NULL with nullptr in lib/wx/c_src/wxe_impl.cpp.)
Comment 9 Jimmy Olgeni freebsd_committer 2017-04-25 05:57:22 UTC
(In reply to Trond.Endrestol from comment #8)

Done - should be ok on 19.3.2. Thanks!